List Room Participants
Lists active users and pending email invitations for one Room.
AuthorizationBearer <token>
Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.
In: header
Path Parameters
room_id*string
Stable Room ID.
Match
^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$Query Parameters
after?string
Opaque Room participant cursor from a previous page.
Format
uuidlimit?integer
Range
1 <= value <= 100Default
20Header Parameters
SMB-Workspace-Id*string
Workspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/rooms/string/participants" \ -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "participants": [ { "participant_id": "78084e63-1c1c-45af-adf1-2af96784867b", "type": "user", "user_id": "string", "email": "user@example.com", "name": "string", "access_level": "view", "status": "active", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z" } ], "has_more": true, "next_cursor": "a7ec8888-a9c3-4732-a281-9a08510f220b", "request_id": "string"}